<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:uix="http://projectmallard.org/experimental/ui/" type="topic" id="radio-buttons" xml:lang="ru">

  <info>
    <credit type="author">
      <name>Алан Дэй (Allan Day)</name>
      <email>aday@gnome.org</email>
    </credit>
    <credit>
      <name>Калум Бенсон (Calum Benson)</name>
    </credit>
    <credit>
      <name>Адам Элман (Adam Elman)</name>
    </credit>
    <credit>
      <name>Сэт Никел (Seth Nickell)</name>
    </credit>
    <credit>
      <name>Колин Робертсон (Colin Robertson)</name>
    </credit>

    <link type="guide" xref="ui-elements"/>
    <uix:thumb mime="image/svg" src="figures/ui-elements/radio-buttons.svg"/>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>
  </info>

<title>Радио-кнопки</title>

<p>Радио-кнопки применяются в группах для выбора взаимоисключающих параметров. В один и тот же момент в группе может быть выбрана только одна радио-кнопка. Не применяйте радио-кнопки для инициирования каких-либо действий.</p>

<media type="image" mime="image/svg" src="figures/ui-elements/radio-buttons.svg"/>

<section id="guidelines">
<title>Рекомендации</title>

<list>
<item><p>В группу радио-кнопок должно входить по меньшей мере две кнопки. Никогда не применяйте одиночные радио-кнопки. Для представления одиночных параметров используйте флажок или две радио-кнопки (по одной кнопке на каждое состояние).</p></item>
<item><p>В любое время в группе может быть выбрана только одна радио-кнопка. Единственным исключением является случай, когда группа отображает свойства нескольких выделенных объектов, в этом случае одна или несколько кнопок могут находиться в смешанном состоянии.</p></item>
<item><p>Нажатие на радио-кнопку не должно влиять на значения каких-либо элементов управления. Однако при нажатии на радио-кнопку можно делать другие элементы чувствительными или нечувствительными к вводу или показывать или скрывать эти элементы.</p></item>
<item><p>Если переключение радио-кнопки влияет на чувствительность других элементов управления, радио-кнопка должна находиться слева от элементов управления, на которые она влияет. Это позволяет показать, что элементы управления зависят от состояния радио-кнопки.</p></item>
<item><p>Для интерфейса на английском языке для текстовых меток радио-кнопок используйте <link xref="writing-style#capitalization">написание прописных букв, как в предложениях</link>. Добавьте <link xref="keyboard-input#access-keys">ускорители</link>, чтобы пользователь мог включать радио-кнопки с помощью клавиатуры.</p></item>
<item><p>Если радио-кнопка отображает параметр для нескольких выбранных объектов, покажите радио-кнопку в смешанном состоянии.</p></item>
<item><p>В группу должно входить не более восьми радио-кнопок. В противном случае вместо группы радио-кнопок можно использовать список, также рассмотрите альтернативные варианты по упрощению пользовательского интерфейсе.</p></item>
<item><p>При выравнивании групп радио-кнопок, старайтесь выравнять их по вертикали, а не по горизонтали. Это упрощает визуальное восприятие интерфейса. Применяйте вертикальное или прямоугольное выравнивание только в том случае, если оно позволит существенно улучшить размещение элементов в окне.</p></item>
</list>

</section>

<section id="api-reference">
<title>API reference</title>

<list>
<item><p><link href="https://developer.gnome.org/gtk3/stable/GtkRadioButton.html">GtkRadioButton</link></p></item>
</list>

</section>
</page>
